package org.galaxy.client.service.fragmentmanagement;

public class ModelFragmentManagementProxy implements org.galaxy.client.service.fragmentmanagement.ModelFragmentManagement {
  private String _endpoint = null;
  private org.galaxy.client.service.fragmentmanagement.ModelFragmentManagement modelFragmentManagement = null;
  
  public ModelFragmentManagementProxy() {
    _initModelFragmentManagementProxy();
  }
  
  public ModelFragmentManagementProxy(String endpoint) {
    _endpoint = endpoint;
    _initModelFragmentManagementProxy();
  }
  
  private void _initModelFragmentManagementProxy() {
    try {
      modelFragmentManagement = (new org.galaxy.client.service.fragmentmanagement.ModelFragmentManagementServiceLocator()).getModelFragmentManagementPort();
      if (modelFragmentManagement != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)modelFragmentManagement)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)modelFragmentManagement)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (modelFragmentManagement != null)
      ((javax.xml.rpc.Stub)modelFragmentManagement)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public org.galaxy.client.service.fragmentmanagement.ModelFragmentManagement getModelFragmentManagement() {
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement;
  }
  
  public void deleteModelFragment(java.lang.String modelFragmentQualifiedName, java.lang.String version) throws java.rmi.RemoteException, org.galaxy.client.service.IOException, org.galaxy.client.service.fragmentmanagement.IOFragmentException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    modelFragmentManagement.deleteModelFragment(modelFragmentQualifiedName, version);
  }
  
  public void deleteModelFragments(org.galaxy.client.service.fragmentmanagement.ModelFragmentData[] fragmentIds) throws java.rmi.RemoteException, org.galaxy.client.service.IOException, org.galaxy.client.service.fragmentmanagement.IOFragmentException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    modelFragmentManagement.deleteModelFragments(fragmentIds);
  }
  
  public org.galaxy.client.service.fragmentmanagement.ModelFragmentData[] findAllModelFragments() throws java.rmi.RemoteException, org.galaxy.client.service.IOException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.findAllModelFragments();
  }
  
  public org.galaxy.client.service.fragmentmanagement.ModelFragmentData findModelFragmentById(java.lang.String modelFragmentQualifiedName, java.lang.String version) throws java.rmi.RemoteException, org.galaxy.client.service.IOException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.findModelFragmentById(modelFragmentQualifiedName, version);
  }
  
  public org.galaxy.client.service.fragmentmanagement.ModelFragmentData[] findModelFragmentByIds(org.galaxy.client.service.fragmentmanagement.ModelFragmentData[] fragmentIds) throws java.rmi.RemoteException, org.galaxy.client.service.IOException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.findModelFragmentByIds(fragmentIds);
  }
  
  public org.galaxy.client.service.fragmentmanagement.ModelFragmentData[] findModelFragmentsByNameAndVersion(java.lang.String namePattern, java.lang.String versionPattern) throws java.rmi.RemoteException, org.galaxy.client.service.IOException, org.galaxy.client.service.fragmentmanagement.InvalidPatternException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.findModelFragmentsByNameAndVersion(namePattern, versionPattern);
  }
  
  public java.lang.Integer publish(byte[] fragmentHandler) throws java.rmi.RemoteException, org.galaxy.client.service.IOException, org.galaxy.client.service.fragmentmanagement.MalformedFragmentException, org.galaxy.client.service.fragmentmanagement.IOFragmentException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.publish(fragmentHandler);
  }
  
  public byte[] retrieve(java.lang.String modelFragmentQualifiedName, java.lang.String version) throws java.rmi.RemoteException, org.galaxy.client.service.IOException, org.galaxy.client.service.fragmentmanagement.IOFragmentException{
    if (modelFragmentManagement == null)
      _initModelFragmentManagementProxy();
    return modelFragmentManagement.retrieve(modelFragmentQualifiedName, version);
  }

}