package org.galaxy.client.test;

import java.io.File;
import java.io.IOException;
import java.util.zip.ZipException;

import org.galaxy.client.api.GalaxyService;
import org.galaxy.client.service.fragmentmanagement.ModelFragmentData;
import org.galaxy.client.service.fragmentmanagement.ressource.ModelFragmentRessource;

public class FragmentTest {

    /**
     * @param args
     */
    public static void main(String[] args) {
        ModelFragmentRessource frag = new ModelFragmentRessource();
        frag.setGalaxyId("test");
        
        frag.setName("testfrag");
        frag.setVersion("1.0.00");
        frag.setDescription("desc1");
        File fileRootPackage = new File("C:\\Projects\\Galaxy\\package"); 
        File fileRootImport = new File("C:\\Projects\\Galaxy\\import"); 
        File resFile = new File("C:\\Projects\\Galaxy\\test.xmi"); 
        
        frag.setXmiFile(resFile);
        frag.addRessourceFile(resFile, "res/test3.xmi");
        frag.addProprietaryFile(resFile, "res/test2.xmi", "Modelio", "exml");
        
        
        ModelFragmentRessource frag2 = new ModelFragmentRessource();
        frag2.setName("testfrag");
        frag2.setVersion("2.0.00");
        frag2.setDescription("desc2");
       
        
        frag2.setXmiFile(resFile);
        frag2.addRessourceFile(resFile, "res/test3.xmi");
        frag2.addProprietaryFile(resFile, "res/test2.xmi", "Modelio", "exml");
//        frag2.addDependency(frag);

//        ModelFragmentRessource frag3 = new ModelFragmentRessource();
//        frag3.setName("testfrag3");
//        frag3.setVersion("3.0.00");
//        frag3.setXmiFile(resFile);
//        frag3.addDependency(frag2);
//        frag3.setDescription("desc3");
//        
        String endpoint ="http://194.2.241.224:8080/GalaxyServer-Galaxy/";
		GalaxyService service = new GalaxyService(endpoint);
		

        try {
        
        File packagedFrag = service.getModelFragmentManagement().packageFragment(frag, fileRootPackage);
//        File packagedFrag2 = service.getModelFragmentManagement().packageFragment(frag2, fileRootPackage);
//        File packagedFrag3 = service.getModelFragmentManagement().packageFragment(frag3, fileRootPackage);
        
//            service.getModelFragmentManagement().publish(packagedFrag);
//            service.getModelFragmentManagement().publish(packagedFrag2);
//            service.getModelFragmentManagement().publish(packagedFrag3);
            
            
//            service.getModelFragmentManagement().retrieveAll("testfrag", "1.0.00", fileRootImport);
//            service.getModelFragmentManagement().retrieveAll("testfrag3", "3.0.00" , fileRootImport);
//        	ModelFragmentData data = service.getModelFragmentManagement().findModelFragmentById("testfrag", "1.0.00");
//        	System.out.println(data.getVersion());
//        } catch (ZipException e1) {
            // TODO Auto-generated catch block
//            e1.printStackTrace();
        } catch (IOException e1) {
            // TODO Auto-generated catch block
            e1.printStackTrace();
        }
        
        
        
        
    }

}
