package org.galaxy.client.api;

import java.io.File;
import java.io.IOException;
import java.util.List;
import java.util.zip.ZipException;

import org.galaxy.client.service.fragmentmanagement.ModelFragmentManagement;
import org.galaxy.client.service.fragmentmanagement.ressource.ModelFragmentRessource;

public interface IModelFragmentManagement extends ModelFragmentManagement {


	public  void publish(File fragment)throws IOException; 
    public  File retrieve(String modelFragmentQualifiedName, String version, File outputDir) throws ZipException, IOException; 
    public  List<File> retrieveAll(String modelFragmentQualifiedName, String version, File outputDir) throws ZipException, IOException; 
    public  File packageFragment(ModelFragmentRessource fragment, File outputDir) throws ZipException, IOException; 
   

}
