<?php

class Application_Form_FragmentSelection extends Zend_Form
{

    public function createContent($modules){
		$this->setName('Modules');
		$this->addElementPrefixPath('My_Decorator',APPLICATION_PATH.'/forms/decorator','decorator');
    		
		$modulepath = new Zend_Form_Element_File('path');
		$modulepath->addValidator('Extension', false, 'frg')
				   ->setValueDisabled(true)
				   ->addValidator('Size', false, 204800000)
				   ->addDecorators(array('AfterComposite'))
				   ->addValidator('NotEmpty')
				   ->removeDecorator('Errors');
		
		$submit = new Zend_Form_Element_Submit('submit');
		$submit->setAttrib('id', 'submitbutton');
		
		$this->addElements(array($modulepath,$submit));
    	
    }

}

?>