<?php

class Application_Form_Selection extends Zend_Form
{

	
	public function createContent($edition){

				$this->addElementPrefixPath('My_Decorator',APPLICATION_PATH.'/forms/decorator','decorator');

		        $id = new Zend_Form_Element_Hidden('id');
		        $id->addFilter('Int');

				$selection = new Zend_Form_Element_Select('selection');
				$selection->setLabel('Country')
					   ->setRequired(true)
					   ->addFilter('StripTags')
					   ->addFilter('StringTrim')
					   ->addValidator('NotEmpty')       
					   ->setDecorators(array('Composite'))
					   ->removeDecorator('Errors');
		   
		        $submit = new Zend_Form_Element_Submit('submit');
		        $submit->setAttrib('id', 'submitbutton');

        		$this->addElements(array($selection,$id,$submit));
	}
	
	public function init()
    {
    		
    }

}

?>